import { OnInit } from "@angular/core";
import { RetailStadium } from "@colijnit/transactionapi/build/model/retail-stadium.bo";
import { TransactionFilterPopupHeaderBaseComponent } from '../core/base/transaction-filter-popup-header-base.component';
export declare class TransactionHeaderRetailStadiumComponent extends TransactionFilterPopupHeaderBaseComponent<any> implements OnInit {
    fields: Object;
    retailStadium: RetailStadium;
    showClass(): boolean;
    ngOnInit(): void;
    commit(): Promise<boolean>;
}
